.sara-modal {
    display: none;
    position: fixed;
    inset: 0;
    background: rgba(0, 0, 0, 0.45);
    backdrop-filter: blur(7px);
    justify-content: center;
    align-items: center;
    z-index: 9999;
}

.sara-modal-content {
    background: var(--color-surface);
    padding: 2rem 2.5rem;
    border-radius: 25px;
    box-shadow: 0 10px 25px rgba(0, 0, 0, 0.15);
    text-align: center;
    max-width: 500px;
    width: 90%;
    position: relative;
    animation: fadeInUp 0.6s ease both;
}

.sara-close {
    position: absolute;
    top: 13px;
    right: 20px;
}

.sara-close:hover {
    color: var(--color-primary);
}

.sara-modal-body h2 {
    font-weight: 700;
    color: var(--color-black);
    margin-bottom: 0.5rem;
}

.sara-modal-body h2 span {
    color: var(--color-primary);
}

.sara-modal-body p {
    color: var(--color-light-black);
    margin-bottom: 25px;
}

.sara-btn {
    width: fit-content;
    color: var(--color-primary);
}

.sara-btn:hover {
    color: var(--color-background);
}

@keyframes fadeInUp {
    0% {
        opacity: 0;
        transform: translateY(40px);
    }
    100% {
        opacity: 1;
        transform: translateY(0);
    }
}

.button-56 {
    align-items: center;
    background-color: #112b50;
    border: 2px solid #112b50;
    border-radius: 12px;
    box-sizing: border-box;
    color: #fff !important;
    cursor: pointer;
    display: flex;
    font-size: 25px;
    font-weight: 600;
    height: 52px;
    justify-content: center;
    max-width: 100%;
    padding: 10px 25px;
    position: relative;
    text-align: center;
    text-decoration: none;
    user-select: none;
    overflow: hidden;
    transition: transform 0.2s ease-out;
    animation: pulseButton 2.5s ease-in-out infinite;
}

.button-56::after {
    content: "";
    position: absolute;
    inset: 0;
    border-radius: 12px;
    background: none;
    z-index: -1;
    opacity: 0.25;
}

.button-56::before {
    content: "";
    position: absolute;
    inset: 0;
    border-radius: 12px;
    border: 2px solid #112b50;
    opacity: 0;
    animation: borderWave 2s ease-in-out infinite;
}

.button-56 span::before,
.button-56 span::after {
    content: "";
    position: absolute;
    inset: 0;
    border-radius: 12px;
    border: 2px solid #112b50;
    opacity: 0;
    animation: borderWave 2s ease-in-out infinite;
}

.button-56 span::before {
    animation-delay: 0.4s;
}
.button-56 span::after {
    animation-delay: 0.8s;
}

@keyframes pulseButton {
    0%,
    100% {
        transform: scale(1);
    }
    50% {
        transform: scale(1.05);
    }
}

@keyframes borderWave {
    0% {
        opacity: 0.2;
        transform: scale(1);
        box-shadow: 0 0 0 0 rgba(17, 43, 80, 0.4);
    }
    70% {
        opacity: 0;
        transform: scale(1.7);
        box-shadow: 0 0 30px 15px rgba(225, 154, 50, 0);
    }
    100% {
        opacity: 0;
        transform: scale(1);
    }
}

/* .button-56:active {
    background-color: #ffdeda;
    outline: 0;
} */

@media (min-width: 768px) {
    .button-56 {
        padding: 0 55px;
    }
}

@media (max-width: 767px) {
    .button-56 {
        padding: 0 30px;
        font-size: 20px;
    }
}

.arrow2 {
    rotate: -20deg;
}

.arrow1 {
    rotate: 14deg;
}

.arrow2 {
    height: 70px;
    width: 70px;
    object-fit: contain;
    transition: all 0.3s ease-in-out;
    animation: imgLoop2 0.5s ease-in-out infinite alternate;
}

@keyframes imgLoop2 {
    0% {
        transform: translateX(0px);
    }
    100% {
        transform: translateX(10px);
    }
}
.arrow1 {
    height: 70px;
    width: 70px;
    width: 70px;
    object-fit: contain;
    transform: scaleX(-1);
    animation: imgLoop 0.5s ease-in-out infinite alternate;
}

@keyframes imgLoop {
    0% {
        transform: scaleX(-1) translateX(0);
    }
    100% {
        transform: scaleX(-1) translateX(10px);
    }
}

.home-banner .banner-content .chart-buttons a::before {
    content: none;
}

.services-section .cards-section .service-cards {
    width: 225px;
}

@media (min-width: 992px) and (max-width: 1250px) {
    .services-section .cards-section .service-cards {
        width: 32%;
    }
}

@media (min-width: 551px) and (max-width: 991px) {
    .services-section .cards-section .service-cards {
        width: 47%;
    }
}

@media (max-width: 550px) {
    .services-section .cards-section .service-cards {
        width: 95%;
    }
}
